## gov.usgs.earthquake.event
Enum ReviewStatus

    java.lang.Object
      java.lang.Enum<ReviewStatus>
          gov.usgs.earthquake.event.ReviewStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ReviewStatus>

    public enum ReviewStatus

extends java.lang.Enum<ReviewStatus>

Enum Constant Summary
`ALL`
`AUTOMATIC`
`PUBLISHED`
`REVIEWED`

Method Summary
`java.lang.String` `toString()`
`static ReviewStatus` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ReviewStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final ReviewStatus ALL

### AUTOMATIC

    public static final ReviewStatus AUTOMATIC

### PUBLISHED

    public static final ReviewStatus PUBLISHED

### REVIEWED

    public static final ReviewStatus REVIEWED

Method Detail

### values

    public static ReviewStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ReviewStatus c : ReviewStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ReviewStatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<ReviewStatus>`